1

I am running QGIS QFieldSync plugin on QGIS 2.14.15. It works wonderfully for packaging my data for QField but I have encountered a python error. When I attempt to package the project for QField using the QFieldSync plugin> Package Project button and click on 'Configure Project Now' if I change any of the layers to 'Offline editing' I get the following python error:

Traceback (most recent call last): File "C:/Users/hpethen/.qgis2/python/plugins\qfieldsync\dialogs\project_configuration_dialog.py", line 119, in onAccepted self.project.setDirty() TypeError: QgsProject.setDirty(bool): not enough arguments

It does not appear to match which layer I attempt to configure to 'Offline Editing'. If I leave them all in 'copy' the programme works correctly.

Have I missed something or is this a bug?

  • The mix of forward and back slashes in the path of the python file could be problematic. Is that something you're able to change? – Paul Jul 5 '17 at 16:50
  • I see what you mean. It might be possible to change it in editor, but the path is automatically generated by the plugin so I think it may be a bug. Even if I can fix it someone else will probably have the same problem. – Hannah Pethen Jul 6 '17 at 7:53
  • I have just tried changing the filepath to one with just back slashes but the problem remains. I am going to report this as a bug. – Hannah Pethen Jul 7 '17 at 8:00
1

I have now resolved this problem thanks to the plugin creators who advised me that QGIS QfieldSync plugin is only compatible with QGIS 2.18 (Las Palmas).

I have now installed Las Palmas and QGIS QfieldSync works perfectly.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.